org.bouncycastle.cms.test

## Class AuthenticatedDataStreamTest

- java.lang.Object
- - TestCase
  - - org.bouncycastle.cms.test.AuthenticatedDataStreamTest

    public class AuthenticatedDataStreamTest
    extends TestCase

### Field Summary

Fields
`boolean` `DEBUG`

### Constructor Summary

Constructors
Constructor and Description
`AuthenticatedDataStreamTest(java.lang.String name)`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`void` `setUp()`
`static Test` `suite()`
`void` `testKeyTransDESede()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEBUG

    public boolean DEBUG

### Constructor Detail

#### AuthenticatedDataStreamTest

    public AuthenticatedDataStreamTest(java.lang.String name)

### Method Detail

#### setUp

    public void setUp()
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### main

    public static void main(java.lang.String[] args)

#### suite

    public static Test suite()
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransDESede

    public void testKeyTransDESede()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`